#!/bin/sh -ef

mkdir -p -- "$ISODIR/Metadata/.../lists" "$ISODIR/Metadata/.../groups"

cat <<E_O_F > $ISODIR/Metadata/.../groups/installer-group-junior-essential.directory
[Desktop Entry]
Encoding=UTF-8
Type=Directory
Name=Essential Junior packages
Name[ru_RU]=Дополнительные программы (рекомендуется)
X-Alterator-PackageList=installer-group-junior-essential
X-Alterator-Required=yes
E_O_F

cat <<E_O_F > $ISODIR/Metadata/.../lists/installer-group-junior-essential
docs-issue-school_admin
docs-issue-school_install
docs-issue-textbooks
docs-weblinks_tatar
alterator-net-pptp
alterator-net-pppoe
klamav
clamav-db
printer-drivers-base
gimp2-plugin-greystoration
gimp2-plugin-siox
gimp-plugin-dcamnoise2
gimp-plugin-gutenprint
gimp-plugin-normalmap
gimp-plugin-refocus-it
gimp-help-ru
tuxpaint
tuxpaint-config
kdegraphics-kolourpaint
kdegraphics-kooka
kdenetwork-kdict
kdenetwork-kopete
kdenetwork-kpf
psi
wget
djvu-viewer
fbreader
kchmviewer

knoda
koffice-kexi
kexi-mdb
libhk_classes-driver-sqlite3
ksocrat
multitran-data
multitran-data-en
multitran-data-ru
multitran-dict-en-ru

stardict
stardict-sdcv
stardict-engcom
stardict-foldoc
stardict-mueller7
stardict-slovnyk_en-ru
stardict-slovnyk_ru-en
stardict-vera
stardict-wn
stardict-ru-tt
stardict-tt-ru

pylize

amarok
amarok-engine-xine
amarok-mediadevice-daap
amarok-mediadevice-generic
amarok-mediadevice-mtp
audacity

k3b
k3b-i18n-ru
kaffeine

rpm-build
kernel-headers-std
kernel-headers-modules-std-smp

basic256

gambas-devel
gambas-examples
gambas-gb-chart
gambas-gb-compress
gambas-gb-corba
gambas-gb-crypt
gambas-gb-db
gambas-gb-db-form
gambas-gb-desktop
gambas-gb-form
gambas-gb-form-dialog
gambas-gb-form-mdi
gambas-gb-gtk
gambas-gb-gtk-ext
gambas-gb-gtk-svg
gambas-gb-gui
gambas-gb-image
gambas-gb-info
gambas-gb-net
gambas-gb-net-curl
gambas-gb-net-smtp
gambas-gb-opengl
gambas-gb-option
gambas-gb-pcre
gambas-gb-pdf
gambas-gb-qt
gambas-gb-qt-ext
gambas-gb-qt-kde
gambas-gb-qt-kde-html
gambas-gb-qt-opengl
gambas-gb-report
gambas-gb-sdl
gambas-gb-sdl-sound
gambas-gb-settings
gambas-gb-v4l
gambas-gb-vb
gambas-gb-web
gambas-gb-xml
gambas-gb-xml-rpc
gambas-gb-xml-xslt
gambas-ide
gambas-runtime

kdevelop
kdevelop-for-debug
kdevelop-for-pascal
kdevelop-for-kde
kdevelop-for-qt
kdevelop-for-misc
kdevelop-for-python
kdewebdev-kommander
kdewebdev-kfilereplace
kdewebdev-kimagemapeditor
kdewebdev-klinkstatus
kdewebdev-kxsldbg
kdewebdev-quanta
kdesdk-kompare
kdesdk-umbrello
qt3-sql
fpc
lazarus
lazarus-tools
lazarus-examples
lazarus-docs
unixODBC
java-1.6.0-sun-jdbc

qcad

celestia
chemtool

gcompris
gcompris-voices-ru
gnucap
geomview

kdeedu-kalzium
kdeedu-kbruch
kdeedu-keduca
kdeedu-khangman
kdeedu-kig
kdeedu-klettres
kdeedu-kmplot
kdeedu-kpercentage
kdeedu-kstars
kdeedu-ktouch
kdeedu-kverbos
kdeedu-kvoctrain
kdeedu-kturtle
kdeedu-klatin
kdeedu-kwordquiz
kdeedu-kanagram
kdeedu-kgeography

kdegames-klines
kdegames-kmahjongg
kdegames-kmines
kdegames-knetwalk
kdegames-kpat
kdegames-kreversi
kdegames-ksame
kdegames-kshisen
xboard-theme-default
xboard

wine-school
libwine-school-gl
libwine-school-twain
wine-school-components

hardinfo
lcdtest
mtools
screentest
zsh

alterator-fbi
alterator-firewall
alterator-ulogd
alterator-squid
httpd-alterator
squid
c-icap-skf
E_O_F

tar -C "$ISODIR/Metadata/.../" --create --file "$ISODIR/Metadata/pkg-groups.tar" .
rm -rf -- "$ISODIR/Metadata/.../"
